This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 58251 - Rebuild kernel panics.
Rebuild kernel panics.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
ia64 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 18:16 EST by Joubert Berger
Modified: 2007-03-26 23:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 20:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joubert Berger 2002-01-11 18:16:34 EST
Description of Problem:
While booting a newly compiled 2.4.9-12 kernel on an HP  rx4610
the machine panics with the string:

Kernel Panic:  Aiee, killin ginterrupt handler!
In interrupt handler - not syncing.

But the original binary RPM kernel boots fine.

Version-Release number of selected component (if applicable):
I have upgraded to firmware 99B.
gcc-2.96-85

How Reproducible:
Very!

Get the kernel-sources-2.4.9-12.ia64.rpm from update.redhat.com.
Copy the smp configuration file to .config
make oldconfig_nonint
make dep
make include/linux/version.h
make -j2 boot
make -j2 modules

Then install and boot.

The panic happens sometime after init starts.
Comment 1 Arjan van de Ven 2002-02-11 12:39:36 EST
Does 2.4.9-21 still do this ?
Comment 2 Joubert Berger 2002-02-11 14:53:52 EST
On the RX4610, 2.4.9-21 seems to work.  

But on the i2000 it does not.  Firmware level is at 117C.
But the problem on the i2000 is that it reboots the machine.
Comment 3 Arjan van de Ven 2002-02-11 14:59:10 EST
And the non-rebuild (eg our binary) works on that machine ?
Comment 4 Joubert Berger 2002-02-11 15:41:59 EST
Correct.  

On the rx4610 the rpm binaries seem to work.
On the i2000 they don't.

Comment 5 Arjan van de Ven 2002-02-11 15:46:20 EST
Hmm so our binary works on both, and your own rebuild one doesn't.
Did you change anything ?
Comment 6 Joubert Berger 2002-02-11 17:11:07 EST
No.  The binaries *only* work on the rx4610.
The same binaries don't work on the i2000.

Comment 7 Arjan van de Ven 2002-02-11 17:14:37 EST
Any idea what an i2000 is? And how it's different from stock intel ia64 kit ?
Comment 8 Alan Cox 2003-06-07 20:21:29 EDT
No reply for a year, closing

Note You need to log in before you can comment on or make changes to this bug.